de.esprit.appsuite.database.dbase

## Class DBUtil.EmptyBlob

- java.lang.Object
- - de.esprit.appsuite.database.dbase.DBUtil.EmptyBlob

- All Implemented Interfaces:
    java.sql.Blob
  Enclosing class:
    DBUtil

      public static class DBUtil.EmptyBlob
      extends java.lang.Object
      implements java.sql.Blob

  Represents an empty Blob object. This may be needed by databases that cannot cope with null blob values (like Informix).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBUtil.EmptyBlob()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `free()`
    `java.io.InputStream` | `getBinaryStream()`
    `java.io.InputStream` | `getBinaryStream(long pos, long length)`
    `byte[]` | `getBytes(long pos, int length)`
    `long` | `length()`
    `long` | `position(java.sql.Blob pattern, long start)`
    `long` | `position(byte[] pattern, long start)`
    `java.io.OutputStream` | `setBinaryStream(long data)`
    `int` | `setBytes(long length, byte[] data)`
    `int` | `setBytes(long length, byte[] data, int i1, int i2)`
    `void` | `truncate(long pos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DBUtil.EmptyBlob

          public DBUtil.EmptyBlob()

  - ### Method Detail

    - #### getBinaryStream

          public java.io.InputStream getBinaryStream()

      Specified by:
        `getBinaryStream` in interface `java.sql.Blob`

    - #### setBinaryStream

          public java.io.OutputStream setBinaryStream(long data)

      Specified by:
        `setBinaryStream` in interface `java.sql.Blob`

    - #### getBytes

          public byte[] getBytes(long pos,
                        int length)

      Specified by:
        `getBytes` in interface `java.sql.Blob`

    - #### setBytes

          public int setBytes(long length,
                     byte[] data)

      Specified by:
        `setBytes` in interface `java.sql.Blob`

    - #### setBytes

          public int setBytes(long length,
                     byte[] data,
                     int i1,
                     int i2)

      Specified by:
        `setBytes` in interface `java.sql.Blob`

    - #### truncate

          public void truncate(long pos)

      Specified by:
        `truncate` in interface `java.sql.Blob`

    - #### length

          public long length()

      Specified by:
        `length` in interface `java.sql.Blob`

    - #### position

          public long position(java.sql.Blob pattern,
                      long start)

      Specified by:
        `position` in interface `java.sql.Blob`

    - #### position

          public long position(byte[] pattern,
                      long start)

      Specified by:
        `position` in interface `java.sql.Blob`

    - #### free

          public void free()
                    throws java.sql.SQLException

      Specified by:
        `free` in interface `java.sql.Blob`
      Throws:
        `java.sql.SQLException`

    - #### getBinaryStream

          public java.io.InputStream getBinaryStream(long pos,
                                            long length)
                                              throws java.sql.SQLException

      Specified by:
        `getBinaryStream` in interface `java.sql.Blob`
      Throws:
        `java.sql.SQLException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.